Bug 141874 - abnormal/missing icons in gnome
abnormal/missing icons in gnome
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-04 09:45 EST by Stephen Fleece
Modified: 2007-11-30 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-11 17:20:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen capture of abnormal icons (155.49 KB, image/jpeg)
2004-12-09 14:49 EST, Stephen Fleece
no flags Details
screen capture of normal icons (from console, not vnc) (44.61 KB, image/jpeg)
2004-12-09 14:50 EST, Stephen Fleece
no flags Details

  None (edit)
Description Stephen Fleece 2004-12-04 09:45:11 EST
Description of problem:
In FC2, many icons on desktop, taskbar, and filesystem browser do not 
appear normally using Gnome desktop manager via a VNC server 
display.  Logged in using regular user.  Icons appear normally when 
logging into computer console.

Version-Release number of selected component (if applicable):
4.0.5.i386 (using Win32 VNC client 3.3.7)

How reproducible:
consistently

Steps to Reproduce:
1. change default $HOME/.vnc/xstartup
2. configure regular user to use Gnome as desktop manager
3. start vncserver process from shell login of regular user 
4. connect to FC2 computer using vnc client from another computer
5. observe icons as abnormal
  
Actual results:
icons do not show normally

Expected results:
icons show normally

Additional info:


---- contents of $HOME/.vnc/xstartup: ----
#!/bin/sh 

# Uncomment the following two lines for normal desktop: 
unset SESSION_MANAGER 
exec /etc/X11/xinit/xinitrc 

[ -x /etc/vnc/xstartup ] && exec /etc/vnc/xstartup 
[ -r $HOME/.Xresources ] && xrdb $HOME/.Xresources 
xsetroot -solid grey 
vncconfig -iconic & 
xterm -geometry 80x24+10+10 -ls -title "$VNCDESKTOP Desktop" & 
twm & 
---- End of $HOME/.vnc/xstartup: ----
Comment 1 Tim Waugh 2004-12-08 10:12:22 EST
This is a GNOME problem.
Comment 2 Havoc Pennington 2004-12-08 23:54:35 EST
What does "abnormally" mean? Maybe junk where the background should be?
Comment 3 Stephen Fleece 2004-12-09 14:47:58 EST
abnormal icons description:
- all the nautilus icons appears as a blank white page of paper with the top-
left corner of the page folded over and a shadow underneath the page (cannot 
find like png file)
- mozilla web and email icons in bottom panel are different from console logon
- openoffice icons in bottom panel are different from console logon

see attachments:
- file "bug141874_normal_icons_console.jpg" has normal icons from console 
session
- file "bug141874_abnormal_icons.jpg" has abnormal icons from vncserver session
Comment 4 Stephen Fleece 2004-12-09 14:49:31 EST
Created attachment 108249 [details]
screen capture of abnormal icons
Comment 5 Stephen Fleece 2004-12-09 14:50:45 EST
Created attachment 108252 [details]
screen capture of normal icons (from console, not vnc)
Comment 6 Havoc Pennington 2004-12-10 09:23:14 EST
Ah, that makes more sense, thanks.
Comment 7 Matthias Clasen 2004-12-10 13:52:50 EST
Can you check if gnome-settings-daemon is running, and if not, try to
start it as /usr/libexec/gnome-settings-daemon ?
Comment 8 Stephen Fleece 2004-12-13 09:37:57 EST
 tried starting the daemon using two methods:
1) from a separate shell login via ssh while vncserver was running on 
display "1"
2) from a terminal shell within the active vncserver display

----------------------

1) During Method 1 I saw this in the shell...

[stephen@Enos libexec]$ /usr/libexec/gnome-settings-daemon &
[1] 17015
[stephen@Enos libexec]$ 
(gnome-settings-daemon:17015): Gtk-WARNING **: cannot open display:
[1]+  Exit 1                  /usr/libexec/gnome-settings-daemon
[stephen@Enos libexec]$ 

----------------------

2) During Method 2 I saw this in the terminal shell as part of the 
vncserver display...

[stephen@Enos stephen]$ /usr/libexec/gnome-settings-daemon & 
[1] 17050
[stephen@Enos stephen]$
** (gnome-settings-daemon:17050): WARNING **: Neither XKeyboard not 
Xfree86's keyboard extensions are available,
no way to support keyboard autorepeat rate settings
Xlib:  extension "GLX" missing on display ":1.0".
Xlib:  extension "GLX" missing on display ":1.0".
Xlib:  extension "GLX" missing on display ":1.0".
Xlib:  extension "GLX" missing on display ":1.0".
Xlib:  extension "GLX" missing on display ":1.0".
Xlib:  extension "GLX" missing on display ":1.0".
Xlib:  extension "GLX" missing on display ":1.0".
Xlib:  extension "GLX" missing on display ":1.0".
Xlib:  extension "GLX" missing on display ":1.0".
Xlib:  extension "GLX" missing on display ":1.0".
Xlib:  extension "GLX" missing on display ":1.0".
Xlib:  extension "GLX" missing on display ":1.0".
Xlib:  extension "GLX" missing on display ":1.0".
Xlib:  extension "GLX" missing on display ":1.0".
 
** (gnome-settings-daemon:17050): WARNING **: Encountered problems 
registering the settings daemon with bonobo-activation. Clients may 
not detect that the settings daemon is already running.
[stephen@Enos libexec]$ 
Comment 9 Mark McLoughlin 2004-12-16 08:47:10 EST
Okay, I what's happening is:

  1) You log in as "foo" to a normal session

  2) You then run Xvnc from a terminal, with a gnome session running
      on the VNC server. The gnome session is running as "foo" too.

  3) Because gnome-settings-daemon registers as a per-user, per-host 
     daemon it doesn't get run in the VNC session - i.e. you really
     need a g-s-d for both sessions, but you're only getting one
     g-s-d.

Solution here is to run the VNC session as another user.

Long standing upstream bug with patch blocking on vagues maintainer
concerns:

  http://bugzilla.gnome.org/show_bug.cgi?id=94049
Comment 10 Joe Mayne 2005-01-07 23:03:36 EST
I had this same problem in slackware.  This is a problem with gnome
though so possibly this message will help those with RedHat.  After
attempting to start the gnome-settings-daemon manually as directed
above I found out that it needed gstreamer(?).  I installed that
package from http://gstreamer.freedesktop.org/download/

Problem Fixed!

I first had this problem after running an update, so I think that if
this specific solution does not help, I suggest checking that all
dependencies are met.
Comment 11 Matthew Miller 2005-04-26 12:15:05 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 12 Ray Strode [halfline] 2005-05-11 17:20:40 EDT
Hi,

This bug is being closed because it has been in the NEEDINFO state for a long
time now.  Feel free to reopen the bug report if the problem still happens for
you and you can provide any information that was requested.
Comment 13 Rohit V. Kapoor 2005-06-19 17:30:00 EDT
I still see this defect in RHEL 4.0!
Comment 14 Christian Jung 2007-03-21 11:51:22 EDT
This is also a big issue for a customer, I'm working at the moment.

I found, that this is fixed since GNOME 2.14. In CVS you can find two patches
which fixe this issue:
http://svn.gnome.org/viewcvs/gnome-control-center/branches/gnome-2-14/gnome-settings-daemon/factory.c?view=log

Can we backport this to RHEL4?

Note You need to log in before you can comment on or make changes to this bug.